
library(MuMIn)

library(lsmeans)
library(PerformanceAnalytics)
library(multcompView)
##
library(car)
library(MASS)
library(HH)
library(AICcmodavg)
library(effects)
library(stats)
library(ggplot2)
library(lme4)
library(lmerTest)



################Sampling Effect on richness (individual grapevine ("pied") as a random effect)########################
#3 variables "sampling" (J19, S18, S19)
#############################################################################################################

mat=read.csv("Bact_Richness_CS.csv",row.names=1)


##richness_sampling date##
##############################
#model construction
model=lmer(Rich_all~Sampling+(1|pied),data=mat) #(individual grapevine ("pied") as a random effect; sampling date ("Sampling")as a fixed effect)

#prerequisites 1 (variance homoscedasticity, p value )
bartlett.test(Rich_all~Sampling,data=mat)  
#prerequisites 1bis (variance homoscedasticity, graphical observation / plot)
plot(residuals(model))
abline(h=0, col="black")

summary(model)
Anova(model)

#prerequisites 2 (residus normality)
hist(residuals(model)) 
shapiro.test(residuals(model))
##prerequisites 2bis alternative to histogram and shapiro teste
qqnorm(residuals(model))
qqline(residuals(model))

#Suite model analyses
summary(model)
Anova(model)

#Test post hoc 
#To test each classes of the "sampling" variable 
posthoc=lsmeans(model, ~Sampling)
CLD=cld(posthoc,alpha=0.05,Letters=letters, adjust="tukey")
CLD


